ServletContextAttributeEvent (Servlet 6.0 API Documentation - Apache Tomcat 10.1.57)
Description: declaration: package: jakarta.servlet, class: ServletContextAttributeEvent

# Class ServletContextAttributeEvent

java.lang.Object
java.util.EventObject
jakarta.servlet.ServletContextEvent
jakarta.servlet.ServletContextAttributeEvent

All Implemented Interfaces:
  `Serializable`

public class ServletContextAttributeEvent extends ServletContextEvent
This is the event class for notifications about changes to the attributes of the servlet context of a web application.

Since:
  Servlet 2.3
See Also:
  - `ServletContextAttributeListener`
  - Serialized Form

- ## Field Summary

  ### Fields inherited from class EventObject

  `source`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ServletContextAttributeEvent(ServletContext source, String name, Object value)`
  Construct a ServletContextAttributeEvent from the given context for the given attribute name and attribute value.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getName()`
  Return the name of the attribute that changed on the ServletContext.
  `Object`
  `getValue()`
  Returns the value of the attribute that has been added, removed, or replaced.

  ### Methods inherited from class ServletContextEvent

  `getServletContext`

  ### Methods inherited from class EventObject

  `getSource, toString`

  ### Methods inherited from class Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### ServletContextAttributeEvent

    public ServletContextAttributeEvent(ServletContext source, String name, Object value)
    Construct a ServletContextAttributeEvent from the given context for the given attribute name and attribute value.
    Parameters:
      `source` - The ServletContext associated with this attribute event
      `name` - The name of the servlet context attribute
      `value` - The value of the servlet context attribute

- ## Method Details

  - ### getName

    public String getName()
    Return the name of the attribute that changed on the ServletContext.
    Returns:
      The name of the attribute that changed

  - ### getValue

    public Object getValue()
    Returns the value of the attribute that has been added, removed, or replaced.
    Returns:
      If the attribute was added, this is the value of the attribute. If the attribute was removed, this is the value of the removed attribute. If the attribute was replaced, this is the old value of the attribute.